ispconfig with rpi4 install script

Discussion in 'Installation/Configuration' started by Net-Pet, Oct 6, 2019.

  1. Net-Pet

    Net-Pet New Member

    Hi
    Tried to intall ispconfing 3.1 with auto installer but it says my system is not supported

    The detected Linux Distribution is: Raspbian GNU/Linux 10 (buster)
    Related Linux Distributions: debian
    Processor (CPU): ARMv7 Processor rev 3 (v7l)
    CPU Cores: 4
    Architecture: arm (32-bit)
    Total memory (RAM): 3.727 MiB (3.908 MB)
    Total swap space: 99 MiB (104 MB)

    I have done installation on rpi3+ so it should be the same just with some more power.
    It also says

    Sorry but your System is not supported by this script, if you want your system supported
    open an issue on GitHub: https://github.com/servisys/ispconfig_setup/issues

    It is possible that this script will work if you manually set the DISTRO variable to a version of raspbian that is supported.
    where to I set the DISTRO variable ?
     
  2. Frost

    Frost Member

    try ubuntu arm for your rpi
     
  3. till

    till Super Moderator Staff Member ISPConfig Developer

  4. Net-Pet

    Net-Pet New Member

    This autoinstaller does also complain about the rasbian

    [email protected]:/tmp/ispconfig-autoinstaller# ./ispc3-ai.sh
    WARNING! This script will reconfigure your complete server!
    It should be run on a freshly installed server and all current configuration that you have done will most likely be lost!
    Type 'yes' if you really want to continue: yes
    [ERROR] Exception occured: ISPConfigOSException -> raspbian is not a supported distribution. (/ispconfig.ai.php:15)
    [email protected]:/tmp/ispconfig-autoinstaller#
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    Ok, then use the other option that I told you (perfect server guide). Or you must edit /etc/os-release, /etc/issue and /etc/debian_version so that they match the contents from a supported os.
     
  6. Net-Pet

    Net-Pet New Member

    If someone have a hint to were to fix the autoinstaller - then It may work ;) If I change the other system files it may give a problem later.
     

Share This Page